# PhasicFlow: utilities/pFlowToVTK/triSurfaceFieldToVTK.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

triSurfaceFieldToVTK.hpp File Reference
Include dependency graph for triSurfaceFieldToVTK.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::TSFtoVTK

## Functions

bool | convertTimeFolderTriSurfaceFields (systemControl &control, const fileSystem &destPath, const word &bName, bool separate, wordList &surfNames, wordList &fileNames)
bool | triSurfaceToVTK (Ostream &os, const realx3 *points, const uint32x3 *vertices, const subSurface &subSurf)
bool | triSurfaceToVTK (Ostream &os, const realx3 *points, const uint32x3 *vertices, uint32 numPoints, uint32 numTris)
bool | convertTimeFolderTriSurfaceFieldsSingle (multiTriSurface &surface, const fileSystem &destPath, real time, const word &bName, wordList &surfNames, wordList &fileNames)
bool | convertTimeFolderTriSurfaceFieldsSeparate (multiTriSurface &surface, const fileSystem &destPath, real time, const word &bName, wordList &surfNames, wordList &fileNames)
bool | regexCheck (const word &TYPENAME, const word &fieldType)
template<typename Type >
bool | checkTriFieldType (word objectType)
bool | convertRealx3TypetriSurfaceField (Ostream &os, const IOfileHeader &header, multiTriSurface &tSurface)
bool | convertRealx3TypetriSurfaceFieldSeparate (const fileSystem &destPath, const IOfileHeader &header, multiTriSurface &tSurface, const word &bName, real time)